<?php

add_theme_support( 'post-thumbnails' );

include_once( $dir . 'inc/meta_box.php' );


function mt_clientssettings_admin_menu_setup(){
add_submenu_page(
 'edit.php?post_type=client',
 __('Client Slug Option', 'mtclients'),
 __('Client Slug Option', 'mtclients'),
 'manage_options',
 'mt_clientssettings',
 'mt_clientssettings_admin_page_screen'
 );
}
add_action('admin_menu', 'mt_clientssettings_admin_menu_setup'); //menu setup

/* display page content */
function mt_clientssettings_admin_page_screen() {
 global $submenu;
// access page settings 
 $page_data = array();
 foreach($submenu['options-general.php'] as $i => $menu_item) {
 if($submenu['options-general.php'][$i][2] == 'mt_clientssettings')
 $page_data = $submenu['options-general.php'][$i];
 }

// output 
?>
<div class="wrap">
<style>
#mt_clientssettings_options .form-table th {
display: none;
}
#mt_clientssettings_options label {
    cursor: pointer;
    display: block;
    float: left;
    width: 25%;
}
</style>


<?php screen_icon();?>
<h2><?php _e('Clients Settings', 'mtclients');?></h2>
<form id="mt_clientssettings_options" action="options.php" method="post">
<?php
settings_fields('mt_clientssettings_options');
do_settings_sections('mt_clientssettings'); 
submit_button('Save options', 'primary', 'mt_clientssettings_options_submit');
?>
 </form>
</div>
<?php
}


function mt_clientssettings_settings_init(){

register_setting(
 'mt_clientssettings_options',
 'mt_clientssettings_options',
 'mt_clientssettings_options_validate'
 );

add_settings_section(
 'mt_clientssettings_mtclientsslugbox',
 '', 
 'mt_clientssettings_mtclientsslugbox_desc',
 'mt_clientssettings'
 );

add_settings_field(
 'mt_clientssettings_mtclientsslugbox_template',
 '', 
 'mt_clientssettings_mtclientsslugbox_field',
 'mt_clientssettings',
 'mt_clientssettings_mtclientsslugbox'
 );
    
add_settings_field(
 'mt_clientssettings_mtclientsslugbox_template2',
 '', 
 'mt_clientssettings_mtclientsslugbox_field2',
 'mt_clientssettings',
 'mt_clientssettings_mtclientsslugbox2'
 );
    
}

add_action('admin_init', 'mt_clientssettings_settings_init');

/* validate input */
function mt_clientssettings_options_validate($input){
 global $allowedposttags, $allowedrichhtml;
if(isset($input['mtclientsslugbox_template']))
 $input['mtclientsslugbox_template'] = wp_kses_post($input['mtclientsslugbox_template']);
 $input['mtclientsslugbox_template2'] = wp_kses_post($input['mtclientsslugbox_template2']);
return $input;
}

/* description text */
function mt_clientssettings_mtclientsslugbox_desc(){
_e('The default slug name is Client. You can enter in any name for Client slug in the field below.', 'mtclients');
}

/* filed output */
function mt_clientssettings_mtclientsslugbox_field() { 
 $options = get_option('mt_clientssettings_options');
 $mtclientsslugbox = (isset($options['mtclientsslugbox_template'])) ? $options['mtclientsslugbox_template'] : '';
 $mtclientsslugbox = strip_tags($mtclientsslugbox); //sanitise output
 $mtclientsslugbox2 = (isset($options['mtclientsslugbox_template2'])) ? $options['mtclientsslugbox_template2'] : '';
 $mtclientsslugbox2 = strip_tags($mtclientsslugbox2); //sanitise output
?>
<p>
    <label><?php _e('Client Single Slug Name', 'mtclients');?></label>
 <input type="text" id="mtclientsslugbox_template" name="mt_clientssettings_options[mtclientsslugbox_template]" value="<?php echo $mtclientsslugbox; ?>" /></p>

<?php
}



// Hook into the 'init' action
add_action('init', 'create_mt_clients_post');


/**
 * Clients Post Type.
 */
function create_mt_clients_post() { 


	$options = get_option('mt_clientssettings_options');
 	$mtclientsslugbox = (isset($options['mtclientsslugbox_template'])) ? $options['mtclientsslugbox_template'] : '';
 	$mtclientsslugbox = strip_tags($mtclientsslugbox); //sanitise output
 

	$labels = array(
		'name'                => __( 'Clients', 'Post Type General Name', 'mtclients' ),
		'singular_name'       => __( 'Client', 'Post Type Singular Name', 'mtclients' ), 
		'menu_name'           => __( 'Clients', 'mtclients' ),
		'parent_item_colon'   => __( 'Parent Item:', 'mtclients' ),
		'all_items'           => __( 'All Clients', 'mtclients' ),
		'view_item'           => __( 'View Clients', 'mtclients' ),
		'add_new_item'        => __( 'Add New Client', 'mtclients' ),
		'add_new'             => __( 'Add New', 'mtclients' ),
		'edit_item'           => __( 'Edit Client', 'mtclients' ),
		'update_item'         => __( 'Update Client', 'mtclients' ),
		'search_items'        => __( 'Search Clients', 'mtclients' ),
		'not_found'           => __( 'Not found', 'mtclients' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'mtclients' ),
	);
	$args = array(
		'label'               => __( 'clients', 'mtclients' ),
		'description'         => __( 'Add clients to your website.', 'mtclients' ), 
		'labels'              => $labels,
		'supports' 			  => array('title','editor','thumbnail'),
		'taxonomies'          => array( 'thumbnail', 'category' ),
		'hierarchical'        => false,
		'menu_icon' 		  => 'dashicons-groups',
		'rewrite' => array('slug' => $mtclientsslugbox),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true, 
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 41, 
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'client', $args );  

}

$clientsfields = array( 
	array(
    		'label' => __( 'Client URL', 'mtcleints' ),
    		'id' => 'mt-client-external-url', 
    		'type' => 'text_url',
			'std' => ""
			),
);


/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to 
 * var $js bool including javascript or not
 */

$mt_clients_box = new mt_clients_Add_Meta_Box( 'mt_clients_box', __('Clients URL', 'mtclients'), $clientsfields, 'client', true ); 